KTextEditor::EncodingDCOPInterface class Reference (interfaces Library)

| # interfaces Library API Documentation
Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Source Files

# KTextEditor::EncodingDCOPInterface Class Reference

This is the main interface to the EncodingInterface of KTextEdit. DCOP interface to EncodingInterface. More...

`#include <encodingdcopinterface.h>`

Inheritance diagram for KTextEditor::EncodingDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::EncodingDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions
uint | encodingInterfaceNumber ()
void | setEncoding (QString e)
QString | encoding ()
## Public Member Functions
| EncodingDCOPInterface (EncodingInterface *Parent, const char *name)
| Construct a new interface object for the text editor.
virtual | ~EncodingDCOPInterface ()
| Destructor Cleans up the object.

## Detailed Description

This is the main interface to the EncodingInterface of KTextEdit. DCOP interface to EncodingInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 18 of file encodingdcopinterface.h.

## Constructor & Destructor Documentation

EncodingDCOPInterface::EncodingDCOPInterface | ( | EncodingInterface * | Parent,
|  | const char * | name
| ) |

  | Construct a new interface object for the text editor. Parameters:
  ParentEncodingInterface | - The parent EncodingInterface object that will provide us with the functions for the interface.
Definition at line 7 of file encodingdcopinterface.cpp. References KStdAccel::name().

EncodingDCOPInterface::~EncodingDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file encodingdcopinterface.cpp.

The documentation for this class was generated from the following files:

- encodingdcopinterface.h
- encodingdcopinterface.cpp

This file is part of the documentation for kdelibs Version 3.1.5.
Documentation copyright © 1996-2002 the KDE developers.
Generated on Wed Jan 28 13:30:56 2004 by doxygen 1.3.4 written by Dimitri van Heesch, © 1997-2001